6.0.0-git
2019-05-19

[#14586] Function arguments differ between base class and derived class -> Warnings pollute horde log
Summary Function arguments differ between base class and derived class -> Warnings pollute horde log
Queue Wicked
Queue Version Git master
Type Bug
State Resolved
Priority 1. Low
Owners mrubinsk (at) horde (dot) org
Requester torben (at) dannhauer (dot) info
Created 2017-03-01 (809 days ago)
Due
Updated 2017-10-20 (576 days ago)
Assigned
Resolved 2017-03-02 (808 days ago)
Milestone
Patch No

History
2017-10-20 20:32:34 Git Commit Comment #4 Reply to this comment
Changes have been made in Git (FRAMEWORK_5_2):

commit edae9b4ecfff0fff2c9440c818feab498052f7ef
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Wed, 01 Mar 2017 19:10:09 -0500

Bug: 14586 Avoid PHP 7 errors.

  M lib/Page.php
  M lib/Page/EditPage.php

https://github.com/horde/wicked/commit/edae9b4ecfff0fff2c9440c818feab498052f7ef
2017-03-02 00:13:18 Michael Rubinsky Assigned to Michael Rubinsky
State ⇒ Resolved
 
2017-03-02 00:13:00 Git Commit Comment #3 Reply to this comment
Changes have been made in Git (master):

commit 767c55db508701bbb6439a9fe0ced144528acd5d
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Wed Mar 1 19:10:09 2017 -0500

     Bug: 14586 Avoid PHP 7 errors.

  wicked/lib/Page.php          | 2 ++
  wicked/lib/Page/EditPage.php | 4 +++-
  2 files changed, 5 insertions(+), 1 deletion(-)

http://github.com/horde/horde/commit/767c55db508701bbb6439a9fe0ced144528acd5d
2017-03-02 00:11:41 Git Commit Comment #2 Reply to this comment
Changes have been made in Git (FRAMEWORK_5_2):

commit 841668f4fde480195ebd5ce70c37d0ed5dc45ef6
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Wed Mar 1 19:10:09 2017 -0500

     Bug: 14586 Avoid PHP 7 errors.

  wicked/lib/Page.php          | 2 ++
  wicked/lib/Page/EditPage.php | 4 +++-
  2 files changed, 5 insertions(+), 1 deletion(-)

http://github.com/horde/horde/commit/841668f4fde480195ebd5ce70c37d0ed5dc45ef6
2017-03-01 21:06:01 torben (at) dannhauer (dot) info Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ Function arguments differ between base class and derived class -> Warnings pollute horde log
Queue ⇒ Wicked
Milestone ⇒
Patch ⇒ No
Reply to this comment
Using PHP7, Wicked pollutes the horde log:

2017-03-01T21:54:08+01:00 WARN: HORDE [wicked] PHP ERROR: Declaration 
of Wicked_Page_EditPage::getPermissions() should be compatible with 
Wicked_Page::getPermissions($pageName = NULL) [pid 15011 on line 0 of 
"/<webroot>/horde/wicked/lib/Page/EditPage.php"]
2017-03-01T21:54:08+01:00 WARN: HORDE [wicked] PHP ERROR: Declaration 
of Wicked_Page_EditPage::preDisplay() should be compatible with 
Wicked_Page::preDisplay($mode, $params) [pid 15011 on line 0 of 
"/<webroot>/horde/wicked/lib/Page/EditPage.php"]
2017-03-01T21:54:30+01:00 WARN: HORDE [wicked] PHP ERROR: Declaration 
of Wicked_Page_EditPage::getPermissions() should be compatible with 
Wicked_Page::getPermissions($pageName = NULL) [pid 15011 on line 0 of 
"/<webroot>/horde/wicked/lib/Page/EditPage.php"]
2017-03-01T21:54:30+01:00 WARN: HORDE [wicked] PHP ERROR: Declaration 
of Wicked_Page_EditPage::preDisplay() should be compatible with 
Wicked_Page::preDisplay($mode, $params) [pid 15011 on line 0 of 
"/<webroot>/horde/wicked/lib/Page/EditPage.php"]
2017-03-01T21:54:45+01:00 WARN: HORDE [wicked] PHP ERROR: Declaration 
of Wicked_Page_EditPage::getPermissions() should be compatible with 
Wicked_Page::getPermissions($pageName = NULL) [pid 18758 on line 0 of 
"/<webroot>/horde/wicked/lib/Page/EditPage.php"]
2017-03-01T21:54:45+01:00 WARN: HORDE [wicked] PHP ERROR: Declaration 
of Wicked_Page_EditPage::preDisplay() should be compatible with 
Wicked_Page::preDisplay($mode, $params) [pid 18758 on line 0 of 
"/<webroot>/horde/wicked/lib/Page/EditPage.php"]
2017-03-01T21:55:16+01:00 WARN: HORDE [wicked] PHP ERROR: Declaration 
of Wicked_Page_EditPage::getPermissions() should be compatible with 
Wicked_Page::getPermissions($pageName = NULL) [pid 18758 on line 0 of 
"/<webroot>/horde/wicked/lib/Page/EditPage.php"]
2017-03-01T21:55:16+01:00 WARN: HORDE [wicked] PHP ERROR: Declaration 
of Wicked_Page_EditPage::preDisplay() should be compatible with 
Wicked_Page::preDisplay($mode, $params) [pid 18758 on line 0 of 
"/<webroot>/horde/wicked/lib/Page/EditPage.php"]

To clean up the horde log and to reveal true errors, this should be 
fixed - esp. regarding PHP > 7.0

Saved Queries